org.apache.cassandra.db

## Class BatchlogManager

- java.lang.Object
- - org.apache.cassandra.db.BatchlogManager

All Implemented Interfaces:
  BatchlogManagerMBean

    public class BatchlogManager
    extends java.lang.Object
    implements BatchlogManagerMBean

### Nested Class Summary

Nested Classes
`static class` `BatchlogManager.EndpointFilter`

### Field Summary

Fields
`static BatchlogManager` `instance`

### Constructor Summary

Constructors
Constructor and Description
`BatchlogManager()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `countAllBatches()` Counts all batches currently in the batchlog.
`void` `forceBatchlogReplay()` Forces batchlog replay.
`static Mutation` `getBatchlogMutationFor(java.util.Collection<Mutation> mutations, java.util.UUID uuid, int version)`
`long` `getBatchlogTimeout()`
`long` `getTotalBatchesReplayed()`
`static void` `shutdown()`
`void` `start()`
`java.util.concurrent.Future<?>` `startBatchlogReplay()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final BatchlogManager instance

### Constructor Detail

#### BatchlogManager

    public BatchlogManager()

### Method Detail

#### start

    public void start()

#### shutdown

    public static void shutdown()
                         throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### countAllBatches

    public int countAllBatches()

Description copied from interface: `BatchlogManagerMBean`
Counts all batches currently in the batchlog.

Specified by:
  `countAllBatches` in interface `BatchlogManagerMBean`
Returns:
  total batch count

#### getTotalBatchesReplayed

    public long getTotalBatchesReplayed()

Specified by:
  `getTotalBatchesReplayed` in interface `BatchlogManagerMBean`
Returns:
  total count of batches replayed since node start

#### forceBatchlogReplay

    public void forceBatchlogReplay()
                             throws java.lang.Exception

Description copied from interface: `BatchlogManagerMBean`
Forces batchlog replay. Blocks until completion.

Specified by:
  `forceBatchlogReplay` in interface `BatchlogManagerMBean`
Throws:
  `java.lang.Exception`

#### startBatchlogReplay

    public java.util.concurrent.Future<?> startBatchlogReplay()

#### getBatchlogMutationFor

    public static Mutation getBatchlogMutationFor(java.util.Collection<Mutation> mutations,
                                                  java.util.UUID uuid,
                                                  int version)

#### getBatchlogTimeout

    public long getBatchlogTimeout()